<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Coding Train: Data/APIs 1</title>
  </head>
  <body>
    <h1>Fetch my neighborhood</h1>

    <script>
      console.log('about to fetch some landscapes');
      const filenames = [
        'images/lake.jpg',
        'images/xico.jpg',
        'images/lake2.jpg'
      ];

      catchLandscapes(filenames)
        .then(response => {
          console.log('yay');
        })
        .catch(error => {
          console.log('error!');
          console.error(error);
        });

      async function catchLandscapes(filenames) {
        for (let filename of filenames) {
          const response = await fetch(filename);
          const blob = await response.blob();
          const img = document.createElement('img');
          img.src = URL.createObjectURL(blob);
          img.width = '500';
          document.body.append(img);
        }
      }
    </script>
  </body>
</html>